WebFirst

Your browser does not support Java 1.4 or higher for applets.

Enter login information and click on the Start button to launch the application.

WebFirst uses Java 2 functionality. If Java 2 is not installed on your machine and it is Windows based you will be prompted to download and install the Java plug-in. Users of other platforms will be prompted to download the Java plug-in and should select the one that is appropriate for their system.

Once the installation of Java 2 is completed Internet Explorer users will be prompted with a security warning (users of other browsers will need to restart their browser). If you do not select Grant this session or Grant always you will not be able to use some features that are dependent on this such as copy and paste, printing, and attachments. If you select Grant this session the message will appear each time you access the web site.